Đến nội dung


Hình ảnh

Giúp em sao xác định đuợc tâm của đa giác?


  • Please log in to reply
5 replies to this topic

#1 sondn

sondn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 June 2011 - 08:17 PM

Các bác giúp e với, ví dụ e có hình đa giác, giờ muốn xác định tâm của nó thì làm thế nào?
  • 0

#2 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 05 June 2011 - 08:29 PM

Các bác giúp e với, ví dụ e có hình đa giác, giờ muốn xác định tâm của nó thì làm thế nào?

Trên diễn đàn đã có vô số bài viết về vấn đề anh hỏi, chỉ cần gõ hai chữ Trọng tâm vào ô Search sẽ hiện ra các bài viết. Nếu không thể làm được theo các các đã hướng dẫn anh hãy gửi file bản vẽ lên xem sao???
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#3 hoàngbìnhan

hoàngbìnhan

    biết lệnh move

  • Members
  • PipPipPip
  • 128 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 05 June 2011 - 08:50 PM

Các bác giúp e với, ví dụ e có hình đa giác, giờ muốn xác định tâm của nó thì làm thế nào?

1. Truớc hết bạn bo hình đa giác đó lại;
2. Dùng lệnh massprop để xác định trọng tâm của nó.
  • 0

#4 sondn

sondn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 June 2011 - 09:46 PM

1. Truớc hết bạn bo hình đa giác đó lại;
2. Dùng lệnh massprop để xác định trọng tâm của nó.

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!
  • 0

#5 hoàngbìnhan

hoàngbìnhan

    biết lệnh move

  • Members
  • PipPipPip
  • 128 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 06 June 2011 - 10:13 PM

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!

nghĩa là sao nhỉ?
  • 0

#6 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 06 June 2011 - 10:41 PM

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!

Cách 1: Dùng lisp

Đã sửa lại. Cac bạn chạy thử xem :


(defun centre(dt / cen)
;;copyright by Tue_NV
(vl-load-com)
(if (or (= (cdr(assoc 0 (entget dt))) "REGION")
(and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
(= (cdr(assoc 70 (entget dt))) 1)
)
)
(if (and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
(= (cdr(assoc 70 (entget dt))) 1)
)
(Progn
(setq cen (vlax-get (car (vlax-invoke (vla-get-modelspace (vla-get-activedocument(vlax-get-acad-object)))
'addregion (list (vlax-ename->vla-object dt)))) 'Centroid))
(entdel (entlast))
)
(setq cen (vlax-get (vlax-ename->vla-object dt) 'Centroid))
)

)
cen
)
(defun c:cen() (centre (car(entsel "\n Pick chon doi tuong lay trong tam :"))))

Mình sợ đặt lệnh chữ C trùng với lệnh của các bạn.
Các bạn sử dụng lệnh CEN để tìm trọng tâm
Trong 1 lệnh khác để tìm trọng tâm của 1 đa giác bất kì nhấn 'CEN


Cách 2: làm thủ công


Bước 1:-Biến đa giác thành region

Bước 2: Gõ lệnh Masspr >>> Chọn đối tượng region >>> sẽ hiện ra bảng cho biết các thông số về trọng tâm của Region

Bước 3: Gõ Esc 2 lần >>gõ tiếp F2 >>hiện ra bảng ....> Gõ lệnh L (line) Copy giá trị x, y vào dòng commad ...Xong.


Hình đã gửi
hình 3
Hình đã gửi

Command: l LINE Specify point : 168.6778,4.7964
(lưu ý có dấu phẩy ở giữa x,y)
Hình 4

Hình đã gửi
hình 5


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...